diff -Nru curl-7.50.1/debian/changelog curl-7.50.1/debian/changelog
--- curl-7.50.1/debian/changelog	2016-08-03 13:46:05.000000000 +0200
+++ curl-7.50.1/debian/changelog	2016-10-03 16:07:14.000000000 +0200
@@ -1,3 +1,10 @@
+curl (7.50.1-1.1) UNRELEASED; urgency=medium
+
+  * Non-maintainer upload.
+  * Add curl and libcurl3 udebs.
+
+ -- Yann Soubeyrand <yann-externe.soubeyrand@edf.fr>  Mon, 03 Oct 2016 16:06:29 +0200
+
 curl (7.50.1-1) unstable; urgency=medium
 
   * New upstream release (Closes: #827900)
diff -Nru curl-7.50.1/debian/control curl-7.50.1/debian/control
--- curl-7.50.1/debian/control	2016-08-03 13:46:05.000000000 +0200
+++ curl-7.50.1/debian/control	2016-10-03 16:03:47.000000000 +0200
@@ -44,6 +44,22 @@
  NTLM, Negotiate, kerberos...), file transfer resume, proxy tunneling and a
  busload of other useful tricks.
 
+Package: curl-udeb
+XC-Package-Type: udeb
+Architecture: any
+Section: debian-installer
+Depends: ${shlibs:Depends}, ${misc:Depends}, libcurl3-udeb (= ${binary:Version})
+Multi-Arch: foreign
+Description: command line tool for transferring data with URL syntax
+ curl is a command line tool for transferring data with URL syntax, supporting
+ DICT, FILE, FTP, FTPS, GOPHER, HTTP, HTTPS, IMAP, IMAPS, LDAP, LDAPS, POP3,
+ POP3S, RTMP, RTSP, SCP, SFTP, SMTP, SMTPS, TELNET and TFTP.
+ .
+ curl supports SSL certificates, HTTP POST, HTTP PUT, FTP uploading, HTTP form
+ based upload, proxies, cookies, user+password authentication (Basic, Digest,
+ NTLM, Negotiate, kerberos...), file transfer resume, proxy tunneling and a
+ busload of other useful tricks.
+
 Package: libcurl3
 Architecture: any
 Section: libs
@@ -52,6 +68,29 @@
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: easy-to-use client-side URL transfer library (OpenSSL flavour)
+ libcurl is an easy-to-use client-side URL transfer library, supporting DICT,
+ FILE, FTP, FTPS, GOPHER, HTTP, HTTPS, IMAP, IMAPS, LDAP, LDAPS, POP3, POP3S,
+ RTMP, RTSP, SCP, SFTP, SMTP, SMTPS, TELNET and TFTP.
+ .
+ libcurl supports SSL certificates, HTTP POST, HTTP PUT, FTP uploading, HTTP
+ form based upload, proxies, cookies, user+password authentication (Basic,
+ Digest, NTLM, Negotiate, Kerberos), file transfer resume, http proxy tunneling
+ and more!
+ .
+ libcurl is free, thread-safe, IPv6 compatible, feature rich, well supported,
+ fast, thoroughly documented and is already used by many known, big and
+ successful companies and numerous applications.
+ .
+ SSL support is provided by OpenSSL.
+
+Package: libcurl3-udeb
+XC-Package-Type: udeb
+Architecture: any
+Section: debian-installer
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
+Description: easy-to-use client-side URL transfer library (OpenSSL flavour)
  libcurl is an easy-to-use client-side URL transfer library, supporting DICT,
  FILE, FTP, FTPS, GOPHER, HTTP, HTTPS, IMAP, IMAPS, LDAP, LDAPS, POP3, POP3S,
  RTMP, RTSP, SCP, SFTP, SMTP, SMTPS, TELNET and TFTP.
diff -Nru curl-7.50.1/debian/curl-udeb.install curl-7.50.1/debian/curl-udeb.install
--- curl-7.50.1/debian/curl-udeb.install	1970-01-01 01:00:00.000000000 +0100
+++ curl-7.50.1/debian/curl-udeb.install	2016-10-03 14:14:16.000000000 +0200
@@ -0,0 +1 @@
+usr/bin/curl
diff -Nru curl-7.50.1/debian/libcurl3-udeb.install curl-7.50.1/debian/libcurl3-udeb.install
--- curl-7.50.1/debian/libcurl3-udeb.install	1970-01-01 01:00:00.000000000 +0100
+++ curl-7.50.1/debian/libcurl3-udeb.install	2016-10-03 14:14:16.000000000 +0200
@@ -0,0 +1 @@
+usr/lib/*/libcurl.so.4*
diff -Nru curl-7.50.1/debian/libcurl3-udeb.links curl-7.50.1/debian/libcurl3-udeb.links
--- curl-7.50.1/debian/libcurl3-udeb.links	1970-01-01 01:00:00.000000000 +0100
+++ curl-7.50.1/debian/libcurl3-udeb.links	2016-10-03 14:14:16.000000000 +0200
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+echo usr/lib/$DEB_HOST_MULTIARCH/libcurl.so.4 usr/lib/$DEB_HOST_MULTIARCH/libcurl.so.3
diff -Nru curl-7.50.1/debian/libcurl3-udeb.lintian-overrides curl-7.50.1/debian/libcurl3-udeb.lintian-overrides
--- curl-7.50.1/debian/libcurl3-udeb.lintian-overrides	1970-01-01 01:00:00.000000000 +0100
+++ curl-7.50.1/debian/libcurl3-udeb.lintian-overrides	2016-10-03 14:14:16.000000000 +0200
@@ -0,0 +1 @@
+libcurl3-udeb udeb: package-name-doesnt-match-sonames libcurl4
diff -Nru curl-7.50.1/debian/rules curl-7.50.1/debian/rules
--- curl-7.50.1/debian/rules	2016-08-03 13:46:05.000000000 +0200
+++ curl-7.50.1/debian/rules	2016-10-03 16:00:15.000000000 +0200
@@ -19,7 +19,7 @@
 	dh $@
 
 override_dh_auto_configure:
-	mkdir -p debian/build debian/build-gnutls debian/build-nss
+	mkdir -p debian/build debian/build-udeb debian/build-gnutls debian/build-nss
 	# pop the last patch (nss)
 	quilt pop
 	# pop the second last patch (gnutls)
@@ -27,6 +27,8 @@
 	# get the source without nss and gnutls patches
 	tar -cf - --exclude=debian/build* --exclude=.pc . \
 		| tar -xf - -C debian/build
+	tar -cf - --exclude=debian/build* --exclude=.pc . \
+		| tar -xf - -C debian/build-udeb
 	# push the second last patch which must be gnutls
 	quilt push
 	# get the source with gnutls patch applied
@@ -38,12 +40,18 @@
 	tar -cf - --exclude=debian/build* --exclude=.pc . \
 		| tar -xf - -C debian/build-nss
 	# run buildconf and make sure to copy the patched ltmain.sh
-	for flavour in build build-gnutls build-nss; do \
+	for flavour in build build-udeb build-gnutls build-nss; do \
 		(cd debian/$$flavour && ./buildconf && cp ../../ltmain.sh .) \
 	done
 	cd debian/build && dh_auto_configure ${CONFIGURE_ARGS}		\
 		--with-ca-path=/etc/ssl/certs				\
 		--with-ca-bundle=/etc/ssl/certs/ca-certificates.crt
+	cd debian/build-udeb && dh_auto_configure ${CONFIGURE_ARGS}	\
+		--disable-ldap						\
+		--with-ca-path=/etc/ssl/certs				\
+		--with-ca-bundle=/etc/ssl/certs/ca-certificates.crt     \
+		--without-gssapi --without-libssh2 --without-librtmp	\
+		--without-libidn
 	cd debian/build-gnutls &&  dh_auto_configure ${CONFIGURE_ARGS}	\
 		--with-ca-path=/etc/ssl/certs				\
 		--with-ca-bundle=/etc/ssl/certs/ca-certificates.crt	\
@@ -54,17 +62,21 @@
 
 override_dh_auto_build:
 	cd debian/build && dh_auto_build
+	cd debian/build-udeb && dh_auto_build
 	cd debian/build-gnutls && dh_auto_build
 	cd debian/build-nss && dh_auto_build
 
 override_dh_auto_test:
 	-cd debian/build && dh_auto_test
+	-cd debian/build-udeb && dh_auto_test
 	-cd debian/build-gnutls && dh_auto_test
 	-cd debian/build-nss && dh_auto_test
 
 override_dh_install:
 	${MAKE} -C debian/build					\
 		DESTDIR=$(shell pwd)/debian/tmp install
+	${MAKE} -C debian/build-udeb				\
+		DESTDIR=$(shell pwd)/debian/tmp-udeb install
 	${MAKE} -C debian/build-gnutls				\
 		DESTDIR=$(shell pwd)/debian/tmp-gnutls install
 	${MAKE} -C debian/build-nss				\
@@ -74,6 +86,8 @@
 		--sourcedir=debian/tmp-gnutls
 	dh_install -plibcurl3-nss -plibcurl4-nss-dev		\
 		--sourcedir=debian/tmp-nss
+	dh_install -pcurl-udeb -plibcurl3-udeb			\
+		--sourcedir=debian/tmp-udeb
 	dh_install -plibcurl3 -plibcurl4-openssl-dev		\
 		--sourcedir=debian/tmp
 	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`
@@ -81,6 +95,11 @@
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGES
 
+override_dh_lintian:
+	dh_lintian
+	install -D debian/libcurl3-udeb.lintian-overrides	\
+		debian/libcurl3-udeb/usr/share/lintian/overrides/libcurl3-udeb
+
 override_dh_compress:
 	dh_compress -X.pdf
 
@@ -89,6 +108,9 @@
 		--dbg-package=libcurl3-dbg
 	dh_strip --remaining-packages
 
+override_dh_makeshlibs:
+	dh_makeshlibs --add-udeb=libcurl3-udeb
+
 override_dh_auto_clean:
 	$(RM) -r debian/build* debian/tmp*
 	dh_auto_clean
